package cordova.plugin.chief.push.act;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import java.text.SimpleDateFormat;
import java.util.Date;
import cordova.plugin.chief.push.MobilePhoneType;
import cordova.plugin.chief.push.SpData;
import cordova.plugin.chief.push.pushclass.MyActivity;
public class NotifyDetailAct extends Activity {
  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    // setContentView(R.layout.activity_notify_detail);

    // 解析scheme并跳转
    Uri uri = getIntent().getData();
    Log.d("tag", "接收到通知点击事件...: " + uri.toString());
    dispatchUri(uri);
  }

  private void dispatchUri(Uri uri) {
    try {
      //final String domain = uri.getAuthority().substring(1,uri.getAuthority().length()-1);
      String alert = uri.getQueryParameter("alert");
      String extras = uri.getQueryParameter("extras");
      Intent intent = new Intent();
      if (alert != null && extras != null) {
        SpData spData = new SpData(this);
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy年MM月dd日   HH:mm:ss");
        Date curDate = new Date(System.currentTimeMillis());
        String str = formatter.format(curDate);
        spData.setStringValue(MobilePhoneType.HUATWEI_ALERT, alert);
        spData.setStringValue(MobilePhoneType.HUATWEI_EXTRAS, extras);
      }
      intent.setClass(this, MyActivity.class);//这个是当前项目中的 MainActivity
      startActivity(intent);
      finish();

    } catch (Exception e) {
      Log.e("tag", "Uri Parse Error");
      finish();
    }
  }

}
